Create a SMS template

This API allows you to create a new SMS template.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Sample Request

This API allows you to create a new SMS template.

curl --request POST \
     --url https://api-smartflo.tatateleservices.com/v1/sms_template \
     --header 'accept: application/json' \
     --header 'content-type: application/json'

📘Important

Before we begin, note that the * sign denotes the mandatory variables in each table.

Request Variables (Body Params)

Variable NameDescriptionData Type
nameName of the SMS Templatestring
sms_typeType of SMS Template. 0: Agent SMS missed call, 1: Caller SMS Missed Call, 2: Department SMS Missed Call, 3: Agent SMS Received Call, 4: Caller SMS Received Call, 5: Answered On IVR SMS, 6: Answered On Auto Attendant SMS, 7: IVR Option SMSinteger
sms_text_typeType of text for SMS Template Message, 0: Normal Text, 1: Unicode text for other Languagesinteger
statusStatus of the SMS Template, 0: Disabled, 1: Enabledinteger
messageMessage corresponding to SMS Templatestring
cc_numbersNumbers that are kept in cc when SMS is sentarray of integer
emailEmail ID to be associated with SMS Templatestring

Response Variables

After the execution of the API, you will get the following response:

Variable NameDescriptionData Type
successThe request success status, the possible values are: True (default) for success. False for failure.Boolean
messageThe message corresponding to the success status. For example, in 400 Response where the "success" variable pops as True, the message displayed is shown here.String
Body Params
string
required

Name of the SMS Template.

int32
required

Type of SMS Template. 0: Agent SMS missed call, 1: Caller SMS Missed Call, 2: Department SMS Missed Call, 3: Agent SMS Received Call, 4: Caller SMS Received Call, 5: Answered On IVR SMS, 6: Answered On Auto Attendant SMS, 7: IVR Option SMS

int32
required

Type of text for SMS Template Message, 0: Normal Text, 1: Unicode text for other Languages

int32
required

Status of the SMS Template, 0: Disabled, 1: Enabled

string
required

Message corrosponding to SMS Template

cc_numbers
array of int32s

Numbers that are kept in cc when SMS is sent

cc_numbers
string

Email ID to be associated with SMS Template

Headers
string
required
Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json